.titleBar { margin-bottom: 5px!important; }

sun-java auf der Fritzbox Instalieren ?

Dieses Thema im Forum "FRITZ!Box Fon: Modifikationen" wurde erstellt von xxbifixx, 1 Dez. 2008.

  1. xxbifixx

    xxbifixx Neuer User

    Registriert seit:
    29 Apr. 2008
    Beiträge:
    35
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi@all

    Wie kann ich auch der FB mit debian am laufen sun-java auf der box zum laufen bekommen

    ich habe eine 7270 mit freetz und wie schon geschrieben mit chroot debian am laufen

    gruss
     
  2. Boyz

    Boyz Mitglied

    Registriert seit:
    3 Aug. 2006
    Beiträge:
    209
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    #2 Boyz, 2 Dez. 2008
    Zuletzt bearbeitet: 2 Dez. 2008
    Hi,
    und dann siehst du paar java sachen wie sun-java6-jre sun-java6-bin und so... installier einfach
    dann mit apt-get install sun-java6-jre... was du für richtig hälst.

    Gruß
    Boyz
     
  3. xxbifixx

    xxbifixx Neuer User

    Registriert seit:
    29 Apr. 2008
    Beiträge:
    35
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hab das mal versucht aber


    fritz:~# apt-cache search jre
    docbook-jrefentry - DocBook XML JRefEntry DTD
    docbook-xsl - stylesheets for processing DocBook XML files to various output formats
    docbook-xsl-stylesheets-ko - Stylesheets for processing DocBook XML files to HTML and FO in korean.
    kaffe - A JVM to run Java bytecode
    wordnet-sense-index - electronic lexical database of English language
    fritz:~#

    ist aber nicht dabei
     
  4. xxbifixx

    xxbifixx Neuer User

    Registriert seit:
    29 Apr. 2008
    Beiträge:
    35
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hab mal die paket quelle geändert nun finde ich die 5 version aber kann sie nicht instalieren

    Code:
    fritz:~# apt-get install sun-java5-jre
    Reading package lists... Done
    Building dependency tree... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    
    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      sun-java5-jre: Depends: sun-java5-bin (= 1.5.0-14-1etch1) but it is not installable or
                              ia32-sun-java5-bin (= 1.5.0-14-1etch1) but it is not installable
    E: Broken packages
    
    meine quellen
    Code:
    deb http://ftp.de.debian.org/debian etch main 
    deb http://ftp.de.debian.org/debian etch contrib main non-free
    Code:
    deb http://ftp.de.debian.org/debian etch main <-- Scon immer drin
    deb http://ftp.de.debian.org/debian etch contrib main non-free <--- rein geschrieben 
    und nun ?
    mfg
     
  5. Boyz

    Boyz Mitglied

    Registriert seit:
    3 Aug. 2006
    Beiträge:
    209
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi,
    ich würde mal von etch auf lenny umstellen
    mach in dein source.list nur diese eine Zeile rein
    und dann ein apt-get update, danach wenn du apt-cache search jre eingibst solltest du auch neue version von java finden >> sun-java6-jre.

    Gruß
    Boyz
     
  6. xxbifixx

    xxbifixx Neuer User

    Registriert seit:
    29 Apr. 2008
    Beiträge:
    35
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    so ich hab nun mal deine quellen in die leiste die anderen raus dann ein apt-get update und dann ein apt-get upgrade und nun das

    Code:
    root@fritz:/# apt-get install sun-java5-jre
    Reading package lists... Done
    Building dependency tree... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    
    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      sun-java5-jre: Depends: sun-java5-bin (= 1.5.0-16-3) but it is not installable or
                              ia32-sun-java5-bin (= 1.5.0-16-3) but it is not installable
    E: Broken packages
    root@fritz:/#
    
     
  7. Boyz

    Boyz Mitglied

    Registriert seit:
    3 Aug. 2006
    Beiträge:
    209
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    was kriegst du jetzt alles wenn du apt-cache search jre eingibst??
     
  8. xxbifixx

    xxbifixx Neuer User

    Registriert seit:
    29 Apr. 2008
    Beiträge:
    35
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hi

    die suche gibt folgendes aus

    Code:
    root@fritz:/# apt-cache search jre
    default-jre - Standard Java or Java compatible Runtime
    default-jre-headless - Standard Java or Java compatible Runtime (headless)
    docbook-jrefentry - DocBook XML JRefEntry DTD
    docbook-xsl - stylesheets for processing DocBook XML files to various output formats
    docbook-xsl-stylesheets-ko - Stylesheets for processing DocBook XML files to HTML and FO in korean.
    kaffe - A JVM to run Java bytecode
    libjrexx-java - automaton based regular expression API for java
    openjdk-6-jre - OpenJDK Java runtime, using Hotspot Zero
    openjdk-6-jre-headless - OpenJDK Java runtime, using Hotspot Zero (headless)
    openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
    openoffice.org - OpenOffice.org Office suite
    sun-java5-fonts - Lucida TrueType fonts (from the Sun JRE)
    sun-java5-jre - Sun Java(TM) Runtime Environment (JRE) 5.0 (architecture independent files)
    sun-java6-fonts - Lucida TrueType fonts (from the Sun JRE)
    sun-java6-jre - Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)